:PROPERTIES:
:ID:       7d199fbe-b0e7-48fd-b8a1-793044dbea01
:END:
#+title: fyp
#+filetags: :index:uni:

In this file i will include things related to my final year *project*.

- The idea:
*A web platform for users to take notes with an ai assistant*

- Migrating to cloud databse.
I was originally intending to use AWS RDS with an e2c instance, but realised that the learning curve was too great, and that i needed a simpler solution.
On the <2024-12-09 Mon> I decided to try this: exporting the current vm i had running and run in on oracle cloud.
The results for this:

The UML for this project: [[id:4a8edaed-9ebd-402b-9c5f-7a0cb4399102][uml_fyp]] 
@startuml
Alice -> Bob: Authentication Request
Bob --> Alice: Authentication Response

Alice -> Bob: Another authentication Request
Alice <-- Bob: Another authentication Response
@enduml


[[id:26b2ed9a-cb81-4c43-bc63-6b3c8ffa3bf1][fyp-report-planning]]
